Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping.data
Class DeltaStar

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Tuple,java.lang.Integer>
              mapping.data.DeltaStar

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<Tuple,java.lang.Integer>

    public class DeltaStar

extends java.util.Hashtable<Tuple,java.lang.Integer>

Author:
  Majd Kokaly This class is representation of the matrix delta star that the LPAS_DG scheduling schemes use. Please refer to the LPAS_DG section in the thesis Document.
See Also:
  Serialized Form

Constructor Summary
`DeltaStar(int initialCapacity)`

Method Summary
`void` | `addZero(int i, int j)` This method adds a Zero to this sparse matrix
`double` | `getLambdaStart()`
`boolean` | `isZero(int i, int j)`
`static void` | `main(java.lang.String[] args)`
`void` | `printAll()`
`void` | `setLambdaStart(double lambdaStart)`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeltaStar

    public DeltaStar(int initialCapacity)

Method Detail

### getLambdaStart

    public double getLambdaStart()

### setLambdaStart

    public void setLambdaStart(double lambdaStart)

### addZero

    public void addZero(int i,
                        int j)

  This method adds a Zero to this sparse matrix

  Parameters:
    `i` - what row in the matrix
    `j` - what column in the matrix

### isZero

    public boolean isZero(int i,
                          int j)

  Parameters:
    `i` - is the row
    `j` - is the column
  Returns:
    true the entry (i,j) is zero, and false otherwise

### printAll

    public void printAll()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD